Package: org.codehaus.groovy.grails.web.taglib

## [Java] Class GrailsTagRegistry

- org.codehaus.groovy.grails.web.taglib.GrailsTagRegistry

- A registry for holding all Grails tag implementations.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static GrailsTagRegistry` | `getInstance()`
    `boolean` | `isRequestContextTag(java.lang.String tagName)`
    `boolean` | `isSyntaxTag(java.lang.String tagName)`
    `GrailsTag` | `newTag(java.lang.String tagName)`
    `void` | `registerTag(java.lang.String tagName, java.lang.Class<?> tag)`
    `boolean` | `tagSupported(java.lang.String tagName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static GrailsTagRegistry getInstance()

    - #### public boolean isRequestContextTag(java.lang.String tagName)

    - #### public boolean isSyntaxTag(java.lang.String tagName)

    - #### public GrailsTag newTag(java.lang.String tagName)

    - #### public void registerTag(java.lang.String tagName, java.lang.Class<?> tag)

    - #### public boolean tagSupported(java.lang.String tagName)